/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TarmsolicituddocumentoPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CDOCUMENTO")
    private long cdocumento;
    @Basic(optional = false)
    @Column(name = "CSOLICITUD")
    private String csolicitud;

    public TarmsolicituddocumentoPK() {
    }

    public TarmsolicituddocumentoPK(long cdocumento, String csolicitud) {
        this.cdocumento = cdocumento;
        this.csolicitud = csolicitud;
    }

    public long getCdocumento() {
        return cdocumento;
    }

    public void setCdocumento(long cdocumento) {
        this.cdocumento = cdocumento;
    }

    public String getCsolicitud() {
        return csolicitud;
    }

    public void setCsolicitud(String csolicitud) {
        this.csolicitud = csolicitud;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) cdocumento;
        hash += (csolicitud != null ? csolicitud.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TarmsolicituddocumentoPK)) {
            return false;
        }
        TarmsolicituddocumentoPK other = (TarmsolicituddocumentoPK) object;
        if (this.cdocumento != other.cdocumento) {
            return false;
        }
        if ((this.csolicitud == null && other.csolicitud != null) || (this.csolicitud != null && !this.csolicitud.equals(other.csolicitud))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TarmsolicituddocumentoPK[ cdocumento=" + cdocumento + ", csolicitud=" + csolicitud + " ]";
    }
    
}
